0

i have a repository made by me, im using apache, but i have a critical problem, when i run the command "apt-get update", i got this error in apt:

E: GPG error: http://localhost ./ InRelease: Clearsigned file isn't valid, got 'NODATA' (does the network require authentication?)

I think is a permissions error, how i can allow access to my apt repo using .htaccess or another method?

My apt repository structure here, root dir: /home/pietro/www/public_html

public_html --dir contents
  Packages.gz --file
  main --dir
    gedit_1.4.deb --file
    gedit_1.4_sfplugin.deb --file
    ot_extendedlib.deb --file

My sources.list

deb http://localhost/ ./

My command line used for create the apt:

cd /home/pietro/www/public_html
dpkg-scanpackages -m . | gzip -c > Packages.gz

This is the complete log after run the command "apt-get update":

Get:1 http://localhost ./ InRelease [1,330 B]
Ign http://localhost ./ InRelease/lib/apt/lists/partial/localhost_._InRelease into data and signature failed
E: GPG error: http://localhost ./ InRelease: Clearsigned file isn't valid, got 'NODATA' (does the network require authentication?)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.